http {
    #ææ°ç è®ºåæå¡
    upstream WEB_APP {
        server piebbs.pconline.com.cn:80;
    }
	#èè¶åŒåºçšçå¬æå¡
    server {
        listen       80;
		server_name  best.pconline.com.cn;

        location ~ ^/bbs/$ {
            rewrite /bbs/       /forum-best.html;  break;
            proxy_pass          http://WEB_APP;
            proxy_redirect      off;
            proxy_set_header    Host             $host;
            proxy_set_header    X-Real-IP        $remote_addr;
            proxy_set_header    X-Forwarded-For  $proxy_add_x_forwarded_for;
        }
		
		location ~ ^/bbs/(.*) {
			rewrite /bbs/(.*)   /$1;  break;
            proxy_pass          http://WEB_APP;
            proxy_redirect      off;
            proxy_set_header    Host             $host;
            proxy_set_header    X-Real-IP        $remote_addr;
            proxy_set_header    X-Forwarded-For  $proxy_add_x_forwarded_for;
		}
				
    }  # end of server
	
}  # end of http
